Libargus API Libargus Camera API

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Public Member Functions | Static Public Member Functions | Protected Member Functions
Argus::IEGLOutputStream Class Reference
EGLOutputStream

Interface that exposes the methods available to an EGLStream-linked OutputStream. More...

`#include <EGLStream.h>`

Inheritance diagram for Argus::IEGLOutputStream:

List of all members.

## Public Member Functions
virtual Status | waitUntilConnected (uint64_t timeout=TIMEOUT_INFINITE) const =0
| Waits until both the producer and consumer endpoints of the stream are connected.
virtual void | disconnect ()=0
| Disconnects the stream from the underlying EGLStream.
virtual PixelFormat | getPixelFormat () const =0
| Returns the format of the stream.
virtual Size2D< uint32_t > | getResolution () const =0
| Returns the image resolution of the stream, in pixels.
virtual EGLDisplay | getEGLDisplay () const =0
| Returns the EGLDisplay the stream's EGLStream belongs to.
virtual EGLStreamKHR | getEGLStream () const =0
| Returns the EGLStream backing the stream.

## Static Public Member Functions
static const InterfaceID & | id ()

## Protected Member Functions
| ~IEGLOutputStream ()
Protected Member Functions inherited from Argus::Interface
| Interface ()
| ~Interface ()

## Detailed Description

Interface that exposes the methods available to an EGLStream-linked OutputStream.

Definition at line 202 of file EGLStream.h.

## Constructor & Destructor Documentation

Argus::IEGLOutputStream::~IEGLOutputStream | ( |  | ) |
| inline protected

Definition at line 242 of file EGLStream.h.

## Member Function Documentation

virtual void Argus::IEGLOutputStream::disconnect | ( |  | ) |
| pure virtual

Disconnects the stream from the underlying EGLStream.

virtual EGLDisplay Argus::IEGLOutputStream::getEGLDisplay | ( |  | ) | const
| pure virtual

Returns the EGLDisplay the stream's EGLStream belongs to.

virtual EGLStreamKHR Argus::IEGLOutputStream::getEGLStream | ( |  | ) | const
| pure virtual

Returns the EGLStream backing the stream.

virtual PixelFormat Argus::IEGLOutputStream::getPixelFormat | ( |  | ) | const
| pure virtual

Returns the format of the stream.

virtual Size2D<uint32_t> Argus::IEGLOutputStream::getResolution | ( |  | ) | const
| pure virtual

Returns the image resolution of the stream, in pixels.

static const InterfaceID& Argus::IEGLOutputStream::id | ( |  | ) |
| inline static

Definition at line 205 of file EGLStream.h.

virtual Status Argus::IEGLOutputStream::waitUntilConnected | ( | uint64_t | timeout = `TIMEOUT_INFINITE` | ) | const
| pure virtual

Waits until both the producer and consumer endpoints of the stream are connected.

Parameters:

  [in] | timeout | The timeout in nanoseconds.

Returns:
  success/status of this call.

The documentation for this class was generated from the following file:

- include/Argus/EGLStream.h